Asterisk 1.8-15 -> version 13.00

General discussions about Asterisk.

Moderators: Moderator, Support

Asterisk 1.8-15 -> version 13.00

Postby Steve76 » Mon Jan 25, 2016 4:30 am

Hi,

I was using Asterisk v 1.8.15-.. worked great ..
Today, the server crashed and I fear that won't restart anymore :-( the image/backup I have is corrupted... really bad luck.

I had a look to rebuild one, on Fedora 13 server. The source code seems not to be compatible anymore.... does it really ?
i had a look on the latst revision : v 13, but many thinks seems having changed...
I should admit I didnt kept me uptodate..
The Asterisk " Future of Telephony" 4th edition seems to stop at the release Asterisk V 11
Any version 5fh available ? :-)

I suppose that my Config file from the version 1.8 won't be compatible ?

Eg: I had a look.. there is no sip.conf file, but "pjpsip"
Any help to see how to migrate would be highly appreciate.... the company I am working for, cannot make any phone calls any more :-(

Thanks and regards
Steve76
Newsterisk
 
Posts: 25
Joined: Fri Sep 11, 2009 2:27 pm

Re: Asterisk 1.8-15 -> version 13.00

Postby anandkumargupta » Tue Jan 26, 2016 5:58 am

Dear Steve,
You can try to recover the disk using the e2fsck and mount your hard drive into other computer and try to recover it using e2fsck, Also, try smartctl -A <Partition> to check the current status of the HD.

If you are migrating the server from one version to other then you need to consider the services which you are running on the server. There are new features use to add and deprecate the old one.

You can still use chan_sip as you can compile pjsip and sip both and disable which you don't want to use.

Asterisk wiki is the best place to learn new thinks about Asterisk it is also available according to the Asterisk versions.
anandkumargupta
Newsterisk
 
Posts: 4
Joined: Fri Sep 22, 2006 4:32 am
Location: Qatar


Return to Asterisk General

Who is online

Users browsing this forum: No registered users and 13 guests